Subject: Re: [nfsv4] Ralph Droms' Discussondraft-ietf-nfsv4-federated-fs-dns-srv-namespace-09:(withDISCUSS and COMMENT)

From: "Everhart, Craig" <[email-masked]>
Date: Mon, 19 Dec 2011 15:11:30 -0500

Hi, Ralph, just following up on one point (below).

> >> 2. If there is some expectation for future service sub-types for
> >> NFS-related service names, it would be appropriate to define a
> "_nfs."
> >> service with, e.g., "_domainroot-ro." and "_domainroot-rw."
subtypes.
> >> In this case, the names for read-only and read-write domain roots
> >> would be:
> >>
> >> _domainroot-ro._nfs._tcp.example.com
> >> _domainroot-rw._nfs._tcp.example.com
> >
> > Thanks.  Given this reading, I'd like to move ahead with this #2
> scheme,
> > which we can simplify to remove the RO/RW distinction.  This leads
to
> > a name for the NFS-accessible domain roots of
> >
> >  _domainroot._nfs._tcp.example.com
> >
> > Would this be acceptable?
> 
> Yes.
> 
> > Would this "_domainroot" subtype then be subject to registration
> > with the RFC 6335 registry (without an associated port number)?
> 
> Yes.
> 
> > If so, would it be done as a separate registration, or by
registering
> > the name as composed with the "_nfs" service name?
> 
> Good question.  My unresearched answer would be to make separate
> registrations, but I'll look into it.

Our AD has asked for a fresh draft, and I'll use your recommendation.
If you have any updated suggestions, I'll be happy to accept them, else
I'll follow your suggestion here.

Thanks.

		Craig